# Hide-InternetNewsgroups.ps1
# http://www.ucblogs.net/blogs/exchange/archive/2009/07/23/Removing-_2200_Internet-Newsgroups_2200_-in-Exchange-Server-2007-_2D00_-Part-II-_2D00_-Automate-It_2100_.aspx

$perm = Get-PublicFolderClientPermission "\Internet Newsgroups" -user default

# first, delete the rights that must be deleted before others (to avoid an error)
if ($perm.AccessRights -contains "DeleteAllItems") {
	Remove-PublicFolderClientPermission "\Internet Newsgroups" -user default -accessrights DeleteAllItems -confirm:$false
}
if ($perm.AccessRights -contains "EditAllItems") {
	Remove-PublicFolderClientPermission "\Internet Newsgroups" -user default -accessrights EditAllItems -confirm:$false
}

# now do the rest
$perm=Get-PublicFolderClientPermission "\Internet Newsgroups" -user default
ForEach ($right in $perm.AccessRights){
	Remove-PublicFolderClientPermission "\Internet Newsgroups" -user default -accessrights $right -confirm:$false
}

Get-PublicFolderClientPermission "\Internet Newsgroups" -user default | ft user,accessrights -auto
